<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
NumericFactory
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.config.NumericFactory interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="NumericFactory";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NumericFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/ArithmeticFactory.html" title="class in ch.javasoft.polco.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/config/NumericFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NumericFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.config</FONT>
<BR>
Interface NumericFactory</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/polco/parse/CddParserFactory.html" title="class in ch.javasoft.polco.parse">CddParserFactory</A>, <A HREF="../../../../ch/javasoft/polco/callback/hdf5/Hdf5CallbackFactory.html" title="class in ch.javasoft.polco.callback.hdf5">Hdf5CallbackFactory</A>, <A HREF="../../../../ch/javasoft/polco/parse/InputStreamParserFactory.html" title="class in ch.javasoft.polco.parse">InputStreamParserFactory</A>, <A HREF="../../../../ch/javasoft/polco/callback/matlab/MatlabCallbackFactory.html" title="class in ch.javasoft.polco.callback.matlab">MatlabCallbackFactory</A>, <A HREF="../../../../ch/javasoft/polco/parse/MpsFactory.html" title="class in ch.javasoft.polco.parse">MpsFactory</A>, <A HREF="../../../../ch/javasoft/polco/callback/NullCallbackFactory.html" title="class in ch.javasoft.polco.callback">NullCallbackFactory</A>, <A HREF="../../../../ch/javasoft/polco/parse/PolymakeParserFactory.html" title="class in ch.javasoft.polco.parse">PolymakeParserFactory</A>, <A HREF="../../../../ch/javasoft/polco/callback/TextCallbackFactory.html" title="class in ch.javasoft.polco.callback">TextCallbackFactory</A>, <A HREF="../../../../ch/javasoft/polco/parse/TextParserFactory.html" title="class in ch.javasoft.polco.parse">TextParserFactory</A>, <A HREF="../../../../ch/javasoft/polco/callback/ZipCallbackFactory.html" title="class in ch.javasoft.polco.callback">ZipCallbackFactory</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/polco/config/NumericFactory.html#line.49"><B>NumericFactory</B></A></DL>
</PRE>

<P>
A factory for <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><CODE>Numeric</CODE></A> objects. First, a typed <A HREF="../../../../ch/javasoft/xml/factory/XmlConfiguredFactory.html" title="interface in ch.javasoft.xml.factory"><CODE>XmlConfiguredFactory</CODE></A> is
 <A HREF="../../../../ch/javasoft/polco/config/NumericFactory.html#createTypedFactory(ch.javasoft.polco.config.Arithmetic)"><CODE>created</CODE></A> using the desired arithmetic,
 then, the normal factory methods are used to create typed numeric objects.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#createNumeric(java.lang.Class, java.lang.Class, org.dom4j.Element)"><CODE>Arithmetic.createNumeric(Class, Class, Element)</CODE></A>, 
<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#createNumeric(java.lang.Class, ch.javasoft.polco.config.NumericFactory, org.dom4j.Element)"><CODE>Arithmetic.createNumeric(Class, NumericFactory, Element)</CODE></A></DL>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt; 
<BR>
<A HREF="../../../../ch/javasoft/xml/factory/XmlConfiguredFactory.html" title="interface in ch.javasoft.xml.factory">XmlConfiguredFactory</A>&lt;? extends <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/NumericFactory.html#createTypedFactory(ch.javasoft.polco.config.Arithmetic)">createTypedFactory</A></B>(<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;Num,Arr&gt;&nbsp;arithmetic)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create typed factory for the specified arithmetic</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createTypedFactory(ch.javasoft.polco.config.Arithmetic)"><!-- --></A><H3>
createTypedFactory</H3>
<PRE>
&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt; <A HREF="../../../../ch/javasoft/xml/factory/XmlConfiguredFactory.html" title="interface in ch.javasoft.xml.factory">XmlConfiguredFactory</A>&lt;? extends <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/NumericFactory.html#line.57"><B>createTypedFactory</B></A>(<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;Num,Arr&gt;&nbsp;arithmetic)</PRE>
<DL>
<DD>Create typed factory for the specified arithmetic
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the typed factory</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NumericFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/ArithmeticFactory.html" title="class in ch.javasoft.polco.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/config/NumericFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NumericFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
